Commit 9574f769 authored by Giovanni Campagna's avatar Giovanni Campagna

Add libgd submodule

parent 0685d278
[submodule "libgd"]
path = libgd
url = git://git.gnome.org/libgd
SUBDIRS = data src po
ACLOCAL_AMFLAGS = -I m4 -I libgd
SUBDIRS = po data libgd src
MAINTAINERCLEANFILES = \
$(srcdir)/INSTALL \
......
......@@ -17,4 +17,9 @@ which gnome-autogen.sh || {
echo "your OS vendor's package manager)."
exit 1
}
(cd "$srcdir" ;
test -d m4 || mkdir m4/ ;
git submodule update --init --recursive ;
)
. gnome-autogen.sh
AC_INIT([my-js-app], [0.1])
AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_HEADERS([config.h])
AM_INIT_AUTOMAKE([1.11 foreign -Wno-portability tar-ustar dist-xz])
......@@ -8,6 +9,8 @@ AM_SILENT_RULES([yes])
LT_INIT([disable-static])
IT_PROG_INTLTOOL([0.26])
LIBGD_INIT([header-bar notification revealer stack tagged-entry gir])
GLIB_GSETTINGS
GOBJECT_INTROSPECTION_REQUIRE([1.0])
......@@ -16,6 +19,7 @@ AC_PATH_PROG(GJS, [gjs])
AC_OUTPUT([
Makefile
data/Makefile
libgd/Makefile
src/Makefile
po/Makefile.in
])
libgd @ 8c3d777e
Subproject commit 8c3d777e1d18974d16d2ea0bdc13ad47f2f95da0
......@@ -15,7 +15,9 @@
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
pkg.require({ 'GLib': '2.0',
pkg.initSubmodule('libgd');
pkg.require({ 'Gd': '1.0',
'GLib': '2.0',
'Gtk': '3.0',
'Lang': '1.0',
'Mainloop': '1.0' });
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment